
(function(){
    var apis = {
        getList: function(data){
            return APIService.httpGet('doctor/archives/event/report', data);
        },
        getEventDetail: function(data) { //就诊事件详情
        	return APIService.httpGet('doctor/archives/event/detail', data);
        },
        getCatalog: function(data) { //通过事件号获取档案类型列表（基卫）
        	return APIService.httpGet('doctor/archives/event/catalog', data);
        },
        getHealthData: function(data) { //获取健康档案详情（基卫）
        	return APIService.httpGet('doctor/archives/event/healthData', data);
        },
        getListTableAjaxObj: { //表格数据获取时，使用的ajax请求配置
            method: 'get',
            url: APIService.server + 'doctor/archives/event/report', 
            contentType: "application/json",
            dataType: "json",
            ajaxOptions: {
                beforeSend: function(request) {
                    var userAgent = APIService.userAgent;
                    userAgent = JSON.stringify(userAgent);
                    request.setRequestHeader("userAgent", userAgent);
                }
            }
        }
    };

    window.janchaAPI = apis;
})(jQuery)